searchNodes=[{"doc":"Client used to make HTTP requests. Making Requests Requests can be made using the send/2 function. This function accepts a Metabase.RequestOperation struct as the first argument and a keyword list of configuration options as the second argument. Example iex&gt; % Metabase.RequestOperation { } ...&gt; |&gt; Map . put ( :body , username : &quot;person@mymetabase.com&quot; , password : &quot;fakepassword&quot; ) ...&gt; |&gt; Map . put ( :method , :post ) ...&gt; |&gt; Map . put ( :path , &quot;/session&quot; ) ...&gt; |&gt; Metabase . send ( host : &quot;mymetabase.com/api&quot; ) { :ok , % Metabase.Response { } } Configuration The send/2 function takes a keyword list of configuration options as the second argument. These provide the client with additional details needed to make a request and various other options for how the client should process the request and how it should behave. Options :client - HTTP client adapter used to make the request. Defaults to Metabase.HTTP.Hackney . :client_opts - Configuration options passed to the client adapter :headers - HTTP headers used when making a request :host - Hostname used when making a request. This field is required. :json_codec - Module used to encode and decode JSON. Defaults to Jason . :port - HTTP port used when making a request :protocol - HTTP protocol used when making a request :retry - Module implementing a request retry strategy. Disabled when set to false . Defaults to false . :retry_opts - Options used to control the behavior of the retry module","ref":"Metabase.html","title":"Metabase","type":"module"},{"doc":"Send an HTTP request.","ref":"Metabase.html#send/2","title":"Metabase.send/2","type":"function"},{"doc":"","ref":"Metabase.html#t:headers_t/0","title":"Metabase.headers_t/0","type":"type"},{"doc":"","ref":"Metabase.html#t:method_t/0","title":"Metabase.method_t/0","type":"type"},{"doc":"","ref":"Metabase.html#t:response_t/0","title":"Metabase.response_t/0","type":"type"},{"doc":"","ref":"Metabase.html#t:status_code_t/0","title":"Metabase.status_code_t/0","type":"type"},{"doc":"Embeds allow you to fetch dashboards and cards from Metabase that can be embedded in other applications. JWT This module is responsible for building the URL path used to fetch the embeds. A token will automatically be generated for each endpoint that will authenticate the request with Metabase. Options Each function that builds an embed path can defined the following options: :expire_in (required) - number of minutes the embed is valid for :secret_key (required) - embedding secret key provided by Metabase Metabase also allows you to provide additional options that can be used to modify the look and feel of an embed. :bordered - adds a visible border to the embed. Can be true or false . :theme - shows the embed in dark mode. Can be null or &quot;night&quot; . :titled - adds a title to the embed. Can be true or false . Example iex&gt; Metabase.Embed . dashboard ( 999 , %{ account : &quot;999&quot; } , expire_in : 10 , secret_key : &quot;fakesecret&quot; , bordered : false ) &quot;/embed/dashboard/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE2NTQ2MjE4OTQsInBhcmFtcyI6eyJhY2NvdW50IjoiOTk5In0sInJlc291cmNlIjp7ImRhc2hib2FyZCI6OTk5fX0.gb4XlMdP6dFLAlVh3BLxjGL3ig96HlmtZ-EhyPbtSGU#bordered=false&quot;","ref":"Metabase.Embed.html","title":"Metabase.Embed","type":"module"},{"doc":"Path to pull a dashboard.","ref":"Metabase.Embed.html#dashboard/3","title":"Metabase.Embed.dashboard/3","type":"function"},{"doc":"Creates a token used to authenticate an embed URL.","ref":"Metabase.Embed.html#token/2","title":"Metabase.Embed.token/2","type":"function"},{"doc":"","ref":"Metabase.Embed.html#t:embed_opts_t/0","title":"Metabase.Embed.embed_opts_t/0","type":"type"},{"doc":"","ref":"Metabase.Embed.html#t:url_opts_t/0","title":"Metabase.Embed.url_opts_t/0","type":"type"},{"doc":"","ref":"Metabase.HTTP.html","title":"Metabase.HTTP","type":"behaviour"},{"doc":"","ref":"Metabase.HTTP.html#c:send/2","title":"Metabase.HTTP.send/2","type":"callback"},{"doc":"","ref":"Metabase.HTTP.html#t:headers_t/0","title":"Metabase.HTTP.headers_t/0","type":"type"},{"doc":"","ref":"Metabase.HTTP.html#t:method_t/0","title":"Metabase.HTTP.method_t/0","type":"type"},{"doc":"","ref":"Metabase.HTTP.html#t:response_t/0","title":"Metabase.HTTP.response_t/0","type":"type"},{"doc":"","ref":"Metabase.HTTP.html#t:status_code_t/0","title":"Metabase.HTTP.status_code_t/0","type":"type"},{"doc":"HTTP client adapter for Hackney. Hackney is a simple HTTP client for Erlang. For more details about Hackney check out their documentation on HexDocs .","ref":"Metabase.HTTP.Hackney.html","title":"Metabase.HTTP.Hackney","type":"module"},{"doc":"HTTP response returned by an adapter. This response module differs from Metabase.HTTP.Response in that it does not decode the body. The purpose of this struct is to provide a simple data structure that doesn't require any additional processing of the response. This simplifies adapter creation since the adapter is only concerned with mapping the raw data it receives to this struct.","ref":"Metabase.HTTP.Response.html","title":"Metabase.HTTP.Response","type":"module"},{"doc":"Returns the value for the requested header. If the header does not exist nil is returned.","ref":"Metabase.HTTP.Response.html#get_header/2","title":"Metabase.HTTP.Response.get_header/2","type":"function"},{"doc":"","ref":"Metabase.HTTP.Response.html#t:t/0","title":"Metabase.HTTP.Response.t/0","type":"type"},{"doc":"Configuration needed by the HTTP client.","ref":"Metabase.Opts.html","title":"Metabase.Opts","type":"module"},{"doc":"Builds a Metabase.Opts struct. Any options passed into this function will override struct defaults.","ref":"Metabase.Opts.html#new/1","title":"Metabase.Opts.new/1","type":"function"},{"doc":"","ref":"Metabase.Opts.html#t:t/0","title":"Metabase.Opts.t/0","type":"type"},{"doc":"HTTP request sent to an endpoint.","ref":"Metabase.Request.html","title":"Metabase.Request","type":"module"},{"doc":"Builds a Metabase.HTTP.Request struct.","ref":"Metabase.Request.html#new/2","title":"Metabase.Request.new/2","type":"function"},{"doc":"Adds a new request header if not present. Otherwise, replaces the previous value.","ref":"Metabase.Request.html#put_header/3","title":"Metabase.Request.put_header/3","type":"function"},{"doc":"Adds the Metabase session header if provided.","ref":"Metabase.Request.html#put_session/2","title":"Metabase.Request.put_session/2","type":"function"},{"doc":"","ref":"Metabase.Request.html#t:t/0","title":"Metabase.Request.t/0","type":"type"},{"doc":"Intermediate HTTP request data structure. Stores request details as their original data structures. This differs from Metabase.Request which stores request details in formats expected by an endpoint.","ref":"Metabase.RequestOperation.html","title":"Metabase.RequestOperation","type":"module"},{"doc":"Builds a URL string.","ref":"Metabase.RequestOperation.html#to_url/2","title":"Metabase.RequestOperation.to_url/2","type":"function"},{"doc":"","ref":"Metabase.RequestOperation.html#t:t/0","title":"Metabase.RequestOperation.t/0","type":"type"},{"doc":"HTTP response returned by a request.","ref":"Metabase.Response.html","title":"Metabase.Response","type":"module"},{"doc":"Builds a Metabase.Response struct. Only decodes the body of a response if the value of the &quot;content-type&quot; header is supported. Otherwise, the body will be returned as is. Supported Encodings application/json","ref":"Metabase.Response.html#new/2","title":"Metabase.Response.new/2","type":"function"},{"doc":"","ref":"Metabase.Response.html#t:t/0","title":"Metabase.Response.t/0","type":"type"},{"doc":"","ref":"Metabase.Session.html","title":"Metabase.Session","type":"module"},{"doc":"Creates a session. This is equivalent to performing a login.","ref":"Metabase.Session.html#create/1","title":"Metabase.Session.create/1","type":"function"},{"doc":"","ref":"Metabase.User.html","title":"Metabase.User","type":"module"},{"doc":"Fetches the user associated with the current session.","ref":"Metabase.User.html#get_current/0","title":"Metabase.User.get_current/0","type":"function"}]